package klasy;

public class Osoba {
    static final int WIEK_PELNOLETNIOSCI = 18;
    String imie, nazwisko;
    int wiek;

    public Osoba() {
        super();
    }

    public Osoba(String imie, String nazwisko, int wiek) {
        this.imie = imie;
        this.nazwisko = nazwisko;
        this.wiek = wiek;
    }

    boolean pelnoletnia() {
        return wiek >= WIEK_PELNOLETNIOSCI;
    }

    void przedstawSie() {
        System.out.println("Nazywam się " + imie + " " + nazwisko + " i mam " + wiek + " lat.");
    }

    @Override
    public String toString() {
        return "Osoba{" +
                "imie='" + imie + '\'' +
                ", nazwisko='" + nazwisko + '\'' +
                ", wiek=" + wiek +
                '}';
    }
}
